hace 3 meses   administracion_afcbce
Plugin: woocommerce

¿Comunicarse con la API de Woocomerce mediante HTTPS?

Buenas Tardes, me preguntaba si habéis conseguido sincronizar la api de woocomerce con el plugin de woocomerce para facturascripts, ya que sin el protocolo ssl, me sincroniza perfecto pero una vez active el https, me es imposible sincronizar. Me salta un error como que la clave secreta del cliente no es válida pero la copio y pego y no me funciona. En cambio sin el protocolo seguro, me lo coge a la primera sin cambiar la clave secreta. ¿Hay alguna forma de solucionar esto?

Y la siguiente pregunta, ¿Hay alguna forma de optimizar la sincronización?

Les preguntaba si existe alguna forma de optimizar el servidor o la ejecución de tiempo de sincronización de artículos, ya que tengo más de 2000 artículos en venta y claro he realizado pruebas en local para calcular el tiempo y es una locura. Es que si lo implemento, en muchas ocasiones un proveedor comprará un artículo y el stock se sincronizará al cabo de un par de horas donde posiblemente ya el stock no corresponda con la realidad.

Muchas gracias por todo. Reciban un cordial saludo.
hace 3 meses   NeoRazorX   [admin]
Hola, la sincronización se puede realizar perfectamente mediante HTTPS, la propia tienda de facturascripts.com funciona así. Lo que puede suceder es que tengas mal la configuración del apache, por ejemplo, que esté realizando algún redireccionamiento interno.

Prueba tanto https://tudominio.com como https://www.tudominio.com

También puede ser que estés utilizando una versión antigua de PHP que no valida bien los certificados SSL. Lo recomendable es PHP 5.6 o superior en este caso.

Si no recuerdo mal, la sincronización está optimizada para algo menos de 1000 artículos por ciclo. Hasta que no migremos este plugin a FacturaScripts 2018 no se aumentará el rendimiento.
Saludos.
hace 3 meses   administracion_afcbce
Buenas Neo,

La configuración la estoy realizando a través de Nginx. Tendré que mirar mejor la configuración del servidor para ver que fallo está ocurriendo. La versión de PHP es la 7.

Entiendo. Estaremos a la espera de esa mejora para la 2018.

Un saludo.
No se pueden hacer más comentarios. Mejor escribe una nueva pregunta

administracion_afcbce

ES  pre-partner


Financiación extra

5 patrocinadores

Este mes se han realizado un total de 5 aportaciones económicas para acelerar el desarrollo del proyecto.

14% Complete

70 € este mes.

+5 € +4 votos

+25 € +20 votos




Soporte:

FacturaScripts es software libre y gratuito, pero si lo que busca es asesoramiento y soporte profesional, use la sección soporte.

  Soporte

¿Desea ser distribuidor?

Si desa ser distribuidor oficial de FacturaScripts, comience hoy mismo el proceso.

  hágase partner

Redes sociales:

Puede encontrarnos en las principales redes sociales. Y también en google+.





© 2013-2017 FacturaScripts